Skip to main content
GET
/
{payment_method_id}
Retrieve Payment Method By ID
curl --request GET \
  --url https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
"{\n    \"id\": \"0395199e-a99c-4a85-acac-6c916f43fa74\",\n    \"idempotency_key\": null,\n    \"account_id\": \"493e9374-510a-4201-9e09-de669d75f256\",\n    \"name\": \"Visa Credit Card\",\n    \"description\": \"Visa Credit Card\",\n    \"type\": \"VISA\",\n    \"category\": \"CARD\",\n    \"country\": \"US\",\n    \"status\": \"READY_TO_ENROLL\",\n    \"created_at\": \"2024-06-06T13:14:18.799434Z\",\n    \"updated_at\": \"2024-06-06T13:14:18.799437Z\",\n    \"enrollment\": {\n        \"session\": \"6641e30d-ca7a-440f-b97c-24231eac6dab\",\n        \"sdk_required_action\": false\n    },\n    \"provider\": {\n        \"id\": \"YUNO\",\n        \"type\": \"YUNO\",\n        \"provider_status\": null\n    },\n    \"verify\": {\n        \"vault_on_success\": false,\n        \"payment\": null\n    },\n    \"preferred\": null\n}\n"
Retrieve information about a payment method based on its payment_method_id, which needs to be provided in the request path.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

payment_method_id
string
required

The payment method id obtained while enrolling a new payment method (UUID, 36 chars).

Response

201

id
string
Example:

"0395199e-a99c-4a85-acac-6c916f43fa74"

idempotency_key
any
account_id
string
Example:

"493e9374-510a-4201-9e09-de669d75f256"

name
string
Example:

"Visa Credit Card"

description
string
Example:

"Visa Credit Card"

type
string
Example:

"VISA"

category
string
Example:

"CARD"

country
string
Example:

"US"

status
string
Example:

"READY_TO_ENROLL"

created_at
string
Example:

"2024-06-06T13:14:18.799434Z"

updated_at
string
Example:

"2024-06-06T13:14:18.799437Z"

enrollment
object
provider
object
verify
object
preferred
any